[android-components](../../index.md) / [mozilla.components.feature.sync](../index.md) / [WorkManagerSyncWorker](./index.md)

# WorkManagerSyncWorker

`class WorkManagerSyncWorker : CoroutineWorker` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sync/src/main/java/mozilla/components/feature/sync/WorkManagerSyncDispatcher.kt#L180)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `WorkManagerSyncWorker(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, params: WorkerParameters)` |

### Functions

| Name | Summary |
|---|---|
| [doWork](do-work.md) | `suspend fun doWork(): Result` |
